@import "variables";

@keyframes spin {
    from {transform : rotate(0deg);}
    to {transform : rotate(360deg);}
}

@mixin spin-loading-icon($icon-name) {
    & .#{$icon-name} {
        animation-name            : spin;
        animation-duration        : 3s;
        animation-iteration-count : infinite;
        animation-timing-function : linear;
    }
}